org.keycloak.events

## Interface Errors

-     public interface Errors

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CLIENT_DISABLED`
    `static String` | `CLIENT_NOT_FOUND`
    `static String` | `EMAIL_IN_USE`
    `static String` | `EMAIL_SEND_FAILED`
    `static String` | `INVALID_CLIENT`
    `static String` | `INVALID_CLIENT_CREDENTIALS`
    `static String` | `INVALID_CODE`
    `static String` | `INVALID_EMAIL`
    `static String` | `INVALID_FORM`
    `static String` | `INVALID_REDIRECT_URI`
    `static String` | `INVALID_REGISTRATION`
    `static String` | `INVALID_SIGNATURE`
    `static String` | `INVALID_TOKEN`
    `static String` | `INVALID_USER_CREDENTIALS`
    `static String` | `NOT_ALLOWED`
    `static String` | `REALM_DISABLED`
    `static String` | `REGISTRATION_DISABLED`
    `static String` | `REJECTED_BY_USER`
    `static String` | `SOCIAL_ID_IN_USE`
    `static String` | `SOCIAL_PROVIDER_NOT_FOUND`
    `static String` | `SSL_REQUIRED`
    `static String` | `USER_DISABLED`
    `static String` | `USER_NOT_FOUND`
    `static String` | `USER_SESSION_NOT_FOUND`
    `static String` | `USER_TEMPORARILY_DISABLED`
    `static String` | `USERNAME_IN_USE`
    `static String` | `USERNAME_MISSING`

- - ### Field Detail

    - #### REALM_DISABLED

          static final String REALM_DISABLED

      See Also:
        Constant Field Values

    - #### CLIENT_NOT_FOUND

          static final String CLIENT_NOT_FOUND

      See Also:
        Constant Field Values

    - #### CLIENT_DISABLED

          static final String CLIENT_DISABLED

      See Also:
        Constant Field Values

    - #### INVALID_CLIENT_CREDENTIALS

          static final String INVALID_CLIENT_CREDENTIALS

      See Also:
        Constant Field Values

    - #### INVALID_CLIENT

          static final String INVALID_CLIENT

      See Also:
        Constant Field Values

    - #### USER_NOT_FOUND

          static final String USER_NOT_FOUND

      See Also:
        Constant Field Values

    - #### USER_DISABLED

          static final String USER_DISABLED

      See Also:
        Constant Field Values

    - #### USER_TEMPORARILY_DISABLED

          static final String USER_TEMPORARILY_DISABLED

      See Also:
        Constant Field Values

    - #### INVALID_USER_CREDENTIALS

          static final String INVALID_USER_CREDENTIALS

      See Also:
        Constant Field Values

    - #### USERNAME_MISSING

          static final String USERNAME_MISSING

      See Also:
        Constant Field Values

    - #### USERNAME_IN_USE

          static final String USERNAME_IN_USE

      See Also:
        Constant Field Values

    - #### EMAIL_IN_USE

          static final String EMAIL_IN_USE

      See Also:
        Constant Field Values

    - #### INVALID_REDIRECT_URI

          static final String INVALID_REDIRECT_URI

      See Also:
        Constant Field Values

    - #### INVALID_CODE

          static final String INVALID_CODE

      See Also:
        Constant Field Values

    - #### INVALID_TOKEN

          static final String INVALID_TOKEN

      See Also:
        Constant Field Values

    - #### INVALID_SIGNATURE

          static final String INVALID_SIGNATURE

      See Also:
        Constant Field Values

    - #### INVALID_REGISTRATION

          static final String INVALID_REGISTRATION

      See Also:
        Constant Field Values

    - #### INVALID_FORM

          static final String INVALID_FORM

      See Also:
        Constant Field Values

    - #### REGISTRATION_DISABLED

          static final String REGISTRATION_DISABLED

      See Also:
        Constant Field Values

    - #### REJECTED_BY_USER

          static final String REJECTED_BY_USER

      See Also:
        Constant Field Values

    - #### NOT_ALLOWED

          static final String NOT_ALLOWED

      See Also:
        Constant Field Values

    - #### SOCIAL_PROVIDER_NOT_FOUND

          static final String SOCIAL_PROVIDER_NOT_FOUND

      See Also:
        Constant Field Values

    - #### SOCIAL_ID_IN_USE

          static final String SOCIAL_ID_IN_USE

      See Also:
        Constant Field Values

    - #### SSL_REQUIRED

          static final String SSL_REQUIRED

      See Also:
        Constant Field Values

    - #### USER_SESSION_NOT_FOUND

          static final String USER_SESSION_NOT_FOUND

      See Also:
        Constant Field Values

    - #### EMAIL_SEND_FAILED

          static final String EMAIL_SEND_FAILED

      See Also:
        Constant Field Values

    - #### INVALID_EMAIL

          static final String INVALID_EMAIL

      See Also:
        Constant Field Values

Copyright © 2015. All Rights Reserved.